import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../frame/core/detail/frame.detail';
@Component({
  selector: 'app-cf-subject-page-detail',
  templateUrl: './cf-subject-page-detail.component.html',
  styleUrls: ['./cf-subject-page-detail.component.scss']
})
export class CfSubjectPageDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({

      subject_name: [null, Validators.compose([Validators.required])],
      subject_code: [null, Validators.compose([Validators.required])],
      exam_start_time: [null, Validators.compose([Validators.required])],
      exam_end_time: [null, Validators.compose([Validators.required])],
    });
   }

  ngOnInit(): void {
  }

}
